@import "./normalize.min.css";

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

body {
  background-color: lavender;
  max-width: 1920px;
  max-height: 1080px;
  display: flex;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.container {
  width: 1280px;
  height: 768px;
  margin: auto;
  align-items: center;
  justify-content: center;
}

.cards-wrapper {
  display: flex;
  align-items: center;
  position: absolute;
  top: 50%;
}

.card {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  width: 200px;
  height: 360px;
  background-color: rgb(90, 60, 235);
  box-shadow: 0px 50px 30px -15px rgba(0, 0, 0, 0.5);
  transform-origin: 0 100%; 
  animation: move 28s linear infinite;
}

.card__img {
  width: 150px;
  height: 150px;
}

.card-1 {
  animation-delay: -4s;
}

.card-2 {
  animation-delay: -8s;
}

.card-3 {
  animation-delay: -12s;
}

.card-4 {
  animation-delay: -16s;
}

.card-5 {
  animation-delay: -20s;
}

.card-6 {
  animation-delay: -24s;
}

.card-7 {
  animation-delay: -28s;
}

.cards-wrapper:hover .card {
  animation-play-state: paused;
}

@keyframes move {
  0%, 100% {
    transform: translate(0) scale(0.5);
  }

  15% {
    transform: translate(70%) scale(0.75);
    z-index: 10;
  }

  30% {
    transform: translate(165%) scale(1);
  }

  45% {
    transform: translate(275%) scale(1);
  }

  60% {
    transform: translate(385%) scale(1);
  }

  75% {
    transform: translate(505%) scale(0.75);
  }

  90% {
    transform: translate(595%) scale(0.5);
    z-index: 1;
  }
}
